<?php
# Name: PHP版程氏音乐CMS管理系统 v3.0
# Author: 程氏<web@chshcms.com> [QQ:848769359]
# Homepage:http://www.chshcms.cn/
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
header("Cache-Control: no-cache, must-revalidate"); 
header("Pragma: no-cache");
//if(!@eregi($_SERVER['SERVER_NAME'],$_SERVER['HTTP_REFERER'])){exit('QQ:848769359');}
include_once("../lib/cs_conn.php");
include_once("../lib/cs_common.php");

$id=CS_Request('id');
global $db;

	$row=$db->getRow("select * from ".Getdbname('dance')." where CS_ID=".$id." and cs_yid=0");
	if($row){
             $server=$db->getrow("select * from ".Getdbname('fwqip')." where CS_ID=".$row['CS_FID']."");
             if(substr($row['CS_PlayUrl'],0,5)=="csdj_"){
                   $str=explode("_",$row['CS_PlayUrl']);
                   $Playurl=getcsdj($str[1],substr($str[2],0,-4));
             }elseif(substr($row['CS_PlayUrl'],0,3)=="wk_"){
                   $str=explode("_",$row['CS_PlayUrl']);
                   $Playurl=getvdisk(substr($str[1],0,-4));
             }elseif(substr($row['CS_PlayUrl'],0,22)=="http://www.rayfile.com"){
                   $Playurl=getrayfile();
             }else{
                   $Playurl=$server['CS_Playip'].$row['CS_PlayUrl'];
             }
             echo '<ASX version = "3.0">
             <entry SKIPIFREF="NO">
             <title>'.$row['CS_Name'].'</title>
             <author>'.CS_WebUrl.'</author>
             <copyright>'.CS_WebName.'</copyright>
             <ref href="'.$Playurl.'"/>
             <param name="Artist" value="'.CS_WebName.'"/>
             <param name="Album" value="'.$row['CS_Hits'].'人气"/>
             <param name="Title" value="'.$row['CS_Name'].'"/>
             </ENTRY></ASX>';
        }else{

             echo '没有该数据!';
        }
?>
